petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscObjectStateGet

Gets the state of any PetscObject, regardless of the type.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectStateGet(PetscObject obj,PetscObjectState *state)

Not Collective

### Input Parameter

obj -any PETSc object, for example a Vec, Mat or KSP. This must be cast with a (PetscObject), for example, PetscObjectStateGet((PetscObject)mat,&state);

### Output Parameter

state -the object state

### Notes

object state is an integer which gets increased every time the object is changed. By saving and later querying the object state one can determine whether information about the object is still current. Currently, state is maintained for Vec and Mat objects.

seealso: PetscObjectStateIncrease(), PetscObjectStateSet()

### Level

advanced

### Location

src/sys/objects/state.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages